Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Functions | Variables
votebox.php File Reference

Go to the source code of this file.

## Functions
| createPollMenu ( $generateStaticPage=false, $menuCachedFile=false, $ini=null, $GlobalSiteDesign=null, $PollID=null, $noItem=null)

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZPollMain", "Language" )
| $PageCaching = $ini->variable( "eZPollMain", "PageCaching" )
| $errorIni = new eZINI( "kernel/ezpoll/user/intl/" . $Language . "/votebox.php.ini", false )
| $noItem = $errorIni->variable( "strings", "noitem" )
if( $PageCaching=="enabled") | else

## Function Documentation

## ◆ createPollMenu()

createPollMenu | ( |  | $generateStaticPage = `false`,
|  |  | $menuCachedFile = `false`,
|  |  | $ini = `null`,
|  |  | $GlobalSiteDesign = `null`,
|  |  | $PollID = `null`,
|  |  | $noItem = `null`
| ) |  |

Definition at line 58 of file votebox.php.

References $choice, $choiceList, $fp, $GlobalSiteDesign, $ini, $Language, $noItem, $output, $poll, $t, exit, eZPBFile\fopen(), and eZHTTPTool\header().

## Variable Documentation

## ◆ $errorIni

$errorIni = new eZINI( "kernel/ezpoll/user/intl/" . $Language . "/votebox.php.ini", false )

Definition at line 34 of file votebox.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 31 of file votebox.php.

Referenced by createPollMenu().

## ◆ $Language

$Language = $ini->variable( "eZPollMain", "Language" )

Definition at line 32 of file votebox.php.

Referenced by createPollMenu().

## ◆ $noItem

$noItem = $errorIni->variable( "strings", "noitem" )

Definition at line 36 of file votebox.php.

Referenced by createPollMenu().

## ◆ $PageCaching

$PageCaching = $ini->variable( "eZPollMain", "PageCaching" )

Definition at line 33 of file votebox.php.

## ◆ else

if ($PageCaching=="enabled") else

Initial value:
{
createPollMenu(false, false, $ini, $GlobalSiteDesign, $PollID, $noItem )
$GlobalSiteDesign
global $GlobalSiteDesign
Definition: latestmessages.php:52
$ini
$ini
Definition: votebox.php:31
createPollMenu
createPollMenu( $generateStaticPage=false, $menuCachedFile=false, $ini=null, $GlobalSiteDesign=null, $PollID=null, $noItem=null)
Definition: votebox.php:58
$noItem
$noItem
Definition: votebox.php:36

Definition at line 53 of file votebox.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.